Due to a vulnerability in Java 7 update 7 version that being currently exploited in wild Mozilla added it to its add-on blokclist and will be automatically disabled on users Firefox browsers. Earlier versions before this update have other vulnerabilities, that’s why they’re already blocklisted. If you’re using Java you’re advised to download and install latest version Java 7 Update 9 from Java website on your Computer.

Mozilla blocklists Java 7 Update 7 Plugin

“Affected versions of the Java plugin will be disabled unless a user makes an explicit choice to keep it enabled at the time they are notified of the block being applied.” says Jorge in Mozilla add-ons blog.  Though Java plugin is disabled, user can enable it from Plugins pane in Add-ons manager but that’s not recommended.